import { CandidateEntity } from '@modules/ad/core/domain/candidate.entity';
import { Completer } from './completer.abstract';

export class JourneyCompleter extends Completer {
  complete = async (
    candidates: CandidateEntity[],
  ): Promise<CandidateEntity[]> =>
    candidates.map((candidate: CandidateEntity) => candidate.createJourneys());
}
